Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Class ServerFrameStore

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  edu.stanford.smi.protege.server.framestore.ServerFrameStore

All Implemented Interfaces:
  RemoteServerFrameStore, Serializable, Remote

    public class ServerFrameStore

extends UnicastRemoteObject
implements RemoteServerFrameStore

See Also:
  Serialized Form

Field Summary
`static Logger` | `cacheLog`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface edu.stanford.smi.protege.server.framestore.RemoteServerFrameStore
`HEARTBEAT_CLIENT_DIED, HEARTBEAT_POLL_INTERVAL`

Constructor Summary
`ServerFrameStore(KnowledgeBase kb)`

Method Summary
`OntologyUpdate` | `addDirectSuperclass(Cls cls, Cls superclass, RemoteSession session)`
`OntologyUpdate` | `addDirectSuperslot(Slot slot, Slot superslot, RemoteSession session)`
`OntologyUpdate` | `addDirectTemplateSlot(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `addDirectType(Instance instance, Cls type, RemoteSession session)`
`RemoteResponse<Boolean>` | `beginTransaction(String name, RemoteSession session)`
`void` | `cacheValuesReadFromStore(RemoteSession session, Frame frame, Slot slot, Facet facet, boolean isTemplate, List values)`
`void` | `close(RemoteSession session)`
`RemoteResponse<Boolean>` | `commitTransaction(RemoteSession session)`
`RemoteResponse<Cls>` | `createCls(FrameID id, Collection directTypes, Collection directSuperclasses, boolean loadDefaults, RemoteSession session)`
`RemoteResponse<Facet>` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaults, RemoteSession session)`
`RemoteResponse<SimpleInstance>` | `createSimpleInstance(FrameID id, Collection directTypes, boolean loadDefaults, RemoteSession session)`
`RemoteResponse<Slot>` | `createSlot(FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaults, RemoteSession session)`
`OntologyUpdate` | `deleteCls(Cls cls, RemoteSession session)`
`OntologyUpdate` | `deleteFacet(Facet facet, RemoteSession session)`
`OntologyUpdate` | `deleteSimpleInstance(SimpleInstance simpleInstance, RemoteSession session)`
`OntologyUpdate` | `deleteSlot(Slot slot, RemoteSession session)`
`void` | `deregister(RemoteSession session)`
`boolean` | `exclusiveTransaction()`
`RemoteResponse<Object>` | `executeProtegeJob(ProtegeJob job, RemoteSession session)`
`RemoteResponse<Collection<Frame>>` | `executeQuery(Query query, RemoteSession session)`
`boolean` | `existsTransaction()`
`Set<Operation>` | `getAllowedOperations(RemoteSession session)`
`int` | `getClsCount(RemoteSession session)`
`Set<Cls>` | `getClses(RemoteSession session)`
`Set<Cls>` | `getClsesWithAnyDirectTemplateSlotValue(Slot slot, RemoteSession session)`
`Set` | `getClsesWithDirectTemplateFacetValue(Slot slot, Facet facet, Object value, RemoteSession session)`
`Set` | `getClsesWithDirectTemplateSlotValue(Slot slot, Object value, RemoteSession session)`
`Set<Cls>` | `getClsesWithMatchingBrowserText(String value, Collection superclasses, int maxMatches, RemoteSession session)`
`Set` | `getClsesWithMatchingDirectTemplateFacetValue(Slot slot, Facet facet, String value, int maxMatches, RemoteSession session)`
`Set` | `getClsesWithMatchingDirectTemplateSlotValue(Slot slot, String value, int maxMatches, RemoteSession session)`
`static RemoteSession` | `getCurrentSession()`
`Set` | `getDirectlyOverriddenTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Set` | `getDirectlyOverriddenTemplateSlots(Cls cls, RemoteSession session)`
`RemoteResponse<List>` | `getDirectOwnSlotValues(Frame frame, Slot slot, RemoteSession session)`
`RemoteResponse<Set>` | `getDirectOwnSlotValuesClosure(Collection<Frame> frames, Slot slot, Set<Frame> missing, RemoteSession session)`
`RemoteResponse<Set>` | `getDirectOwnSlotValuesClosure(Frame frame, Slot slot, Set<Frame> missing, RemoteSession session)`
`int` | `getDirectOwnSlotValuesCount(Frame frame, Slot slot, RemoteSession session)`
`RemoteResponse<List>` | `getDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, RemoteSession session)`
`RemoteResponse<List>` | `getDirectTemplateSlotValues(Cls cls, Slot slot, RemoteSession session)`
`RemoteResponse<List<AbstractEvent>>` | `getEvents(RemoteSession session)`
`int` | `getFacetCount(RemoteSession session)`
`Set<Facet>` | `getFacets(RemoteSession session)`
`Frame` | `getFrame(FrameID id, RemoteSession session)`
`RemoteResponse<Frame>` | `getFrame(String name, RemoteSession session)`
`FrameCalculator` | `getFrameCalculator()`
`int` | `getFrameCount(RemoteSession session)`
`String` | `getFrameName(Frame frame, RemoteSession session)`
`Set<Frame>` | `getFrames(RemoteSession session)`
`Set<Frame>` | `getFramesWithAnyDirectOwnSlotValue(Slot slot, RemoteSession session)`
`Set<Frame>` | `getFramesWithDirectOwnSlotValue(Slot slot, Object value, RemoteSession session)`
`Set<Frame>` | `getFramesWithMatchingDirectOwnSlotValue(Slot slot, String value, int maxMatches, RemoteSession session)`
`RemoteResponse<Set<Instance>>` | `getInstances(Cls cls, RemoteSession session)`
`Set<Operation>` | `getKnownOperations(RemoteSession session)`
`Set<Reference>` | `getMatchingReferences(String value, int maxMatches, RemoteSession session)`
`ProjectInstance` | `getMetaProjectInstance()`
`Set` | `getOverriddenTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Set` | `getOverriddenTemplateSlots(Cls cls, RemoteSession session)`
`Set<Slot>` | `getOwnSlots(Frame frame, RemoteSession session)`
`Set<Reference>` | `getReferences(Object value, RemoteSession session)`
`int` | `getSimpleInstanceCount(RemoteSession session)`
`int` | `getSlotCount(RemoteSession session)`
`FrameCalculatorStats` | `getStats()`
`Set<Facet>` | `getTemplateFacets(Cls cls, Slot slot, RemoteSession session)`
`Collection` | `getTemplateFacetValues(Cls cls, Slot slot, Facet facet, RemoteSession session)`
`TransactionIsolationLevel` | `getTransactionIsolationLevel()` Calculates the transaction isolation level.
`TransactionMonitor` | `getTransactionStatusMonitor()`
`Map<RemoteSession,Boolean>` | `getUserInfo()`
`void` | `heartBeat(RemoteSession session)`
`boolean` | `inTransaction()`
`void` | `invalidateCacheForWriteToStore(Frame frame, Slot slot, Facet facet, boolean isTemplate)`
`boolean` | `isDirty()`
`void` | `markClean()`
`OntologyUpdate` | `moveDirectOwnSlotValue(Frame frame, Slot slot, int from, int to, RemoteSession session)`
`OntologyUpdate` | `moveDirectSubclass(Cls cls, Cls subclass, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectSubslot(Slot slot, Slot subslot, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectTemplateSlot(Cls cls, Slot slot, int index, RemoteSession session)`
`OntologyUpdate` | `moveDirectType(Instance instance, Cls cls, int index, RemoteSession session)`
`OntologyUpdate` | `preload(Set<String> userFrames, boolean all, RemoteSession session)`
`void` | `recordCall(RemoteSession session)`
`static void` | `recordCallNoCheck(RemoteSession session)`
`void` | `register(RemoteSession session)`
`OntologyUpdate` | `removeDirectSuperclass(Cls cls, Cls superclass, RemoteSession session)`
`OntologyUpdate` | `removeDirectSuperslot(Slot slot, Slot superslot, RemoteSession session)`
`OntologyUpdate` | `removeDirectTemplateFacetOverrides(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `removeDirectTemplateSlot(Cls cls, Slot slot, RemoteSession session)`
`OntologyUpdate` | `removeDirectType(Instance instance, Cls directType, RemoteSession session)`
`void` | `removeFrameCache(Frame frame)`
`OntologyUpdate` | `replaceFrame(Frame original, Frame replacement, RemoteSession session)`
`static void` | `requestEventDispatch(KnowledgeBase kb)`
`void` | `requestValueCache(Set<Frame> frames, boolean skipDirectInstances, RemoteSession session)`
`RemoteResponse<Boolean>` | `rollbackTransaction(RemoteSession session)`
`static void` | `setCurrentSession(RemoteSession session)`
`OntologyUpdate` | `setDirectOwnSlotValues(Frame frame, Slot slot, Collection values, RemoteSession session)`
`OntologyUpdate` | `setDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, Collection values, RemoteSession session)`
`OntologyUpdate` | `setDirectTemplateSlotValues(Cls cls, Slot slot, Collection values, RemoteSession session)`
`void` | `setFrameCalculatorDisabled(boolean disabled)`
`void` | `setMetaProjectInstance(ProjectInstance projectInstance)`
`boolean` | `setTransactionIsolationLevel(TransactionIsolationLevel level)` Sets the transaction isolation level for the current connection.
`String` | `toString()`
`void` | `updateEvents(RemoteSession session)`
`void` | `waitForTransactionsToComplete()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cacheLog

    public static final transient Logger cacheLog

Constructor Detail

### ServerFrameStore

    public ServerFrameStore(KnowledgeBase kb)
                     throws RemoteException

Throws:
  `RemoteException`

Method Detail

### requestEventDispatch

    public static void requestEventDispatch(KnowledgeBase kb)

### getUserInfo

    public Map<RemoteSession,Boolean> getUserInfo()

  Specified by:
    `getUserInfo` in interface `RemoteServerFrameStore`

### getStats

    public FrameCalculatorStats getStats()

  Specified by:
    `getStats` in interface `RemoteServerFrameStore`

### recordCall

    public void recordCall(RemoteSession session)
                    throws ServerSessionLost

  Throws:
    `ServerSessionLost`

### recordCallNoCheck

    public static void recordCallNoCheck(RemoteSession session)

### setCurrentSession

    public static void setCurrentSession(RemoteSession session)

### getCurrentSession

    public static RemoteSession getCurrentSession()

### getClsCount

    public int getClsCount(RemoteSession session)
                    throws ServerSessionLost

  Specified by:
    `getClsCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getSlotCount

    public int getSlotCount(RemoteSession session)
                     throws ServerSessionLost

  Specified by:
    `getSlotCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFacetCount

    public int getFacetCount(RemoteSession session)
                      throws ServerSessionLost

  Specified by:
    `getFacetCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getSimpleInstanceCount

    public int getSimpleInstanceCount(RemoteSession session)
                               throws ServerSessionLost

  Specified by:
    `getSimpleInstanceCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFrameCount

    public int getFrameCount(RemoteSession session)
                      throws ServerSessionLost

  Specified by:
    `getFrameCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### removeDirectTemplateSlot

    public OntologyUpdate removeDirectTemplateSlot(Cls cls,
                                                   Slot slot,
                                                   RemoteSession session)
                                            throws ServerSessionLost

  Specified by:
    `removeDirectTemplateSlot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### moveDirectTemplateSlot

    public OntologyUpdate moveDirectTemplateSlot(Cls cls,
                                                 Slot slot,
                                                 int index,
                                                 RemoteSession session)
                                          throws ServerSessionLost

  Specified by:
    `moveDirectTemplateSlot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### addDirectSuperclass

    public OntologyUpdate addDirectSuperclass(Cls cls,
                                              Cls superclass,
                                              RemoteSession session)
                                       throws ServerSessionLost

  Specified by:
    `addDirectSuperclass` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### removeDirectSuperslot

    public OntologyUpdate removeDirectSuperslot(Slot slot,
                                                Slot superslot,
                                                RemoteSession session)
                                         throws ServerSessionLost

  Specified by:
    `removeDirectSuperslot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### removeDirectSuperclass

    public OntologyUpdate removeDirectSuperclass(Cls cls,
                                                 Cls superclass,
                                                 RemoteSession session)
                                          throws ServerSessionLost

  Specified by:
    `removeDirectSuperclass` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### moveDirectSubclass

    public OntologyUpdate moveDirectSubclass(Cls cls,
                                             Cls subclass,
                                             int index,
                                             RemoteSession session)
                                      throws ServerSessionLost

  Specified by:
    `moveDirectSubclass` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### replaceFrame

    public OntologyUpdate replaceFrame(Frame original,
                                       Frame replacement,
                                       RemoteSession session)
                                throws ServerSessionLost

  Specified by:
    `replaceFrame` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectTemplateSlotValues

    public RemoteResponse<List> getDirectTemplateSlotValues(Cls cls,
                                                            Slot slot,
                                                            RemoteSession session)
                                                     throws ServerSessionLost

  Specified by:
    `getDirectTemplateSlotValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getInstances

    public RemoteResponse<Set<Instance>> getInstances(Cls cls,
                                                      RemoteSession session)
                                               throws ServerSessionLost

  Specified by:
    `getInstances` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getOwnSlots

    public Set<Slot> getOwnSlots(Frame frame,
                                 RemoteSession session)
                          throws ServerSessionLost

  Specified by:
    `getOwnSlots` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFramesWithDirectOwnSlotValue

    public Set<Frame> getFramesWithDirectOwnSlotValue(Slot slot,
                                                      Object value,
                                                      RemoteSession session)
                                               throws ServerSessionLost

  Specified by:
    `getFramesWithDirectOwnSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithDirectTemplateSlotValue

    public Set getClsesWithDirectTemplateSlotValue(Slot slot,
                                                   Object value,
                                                   RemoteSession session)
                                            throws ServerSessionLost

  Specified by:
    `getClsesWithDirectTemplateSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithDirectTemplateFacetValue

    public Set getClsesWithDirectTemplateFacetValue(Slot slot,
                                                    Facet facet,
                                                    Object value,
                                                    RemoteSession session)
                                             throws ServerSessionLost

  Specified by:
    `getClsesWithDirectTemplateFacetValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFramesWithMatchingDirectOwnSlotValue

    public Set<Frame> getFramesWithMatchingDirectOwnSlotValue(Slot slot,
                                                              String value,
                                                              int maxMatches,
                                                              RemoteSession session)
                                                       throws ServerSessionLost

  Specified by:
    `getFramesWithMatchingDirectOwnSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithMatchingDirectTemplateFacetValue

    public Set getClsesWithMatchingDirectTemplateFacetValue(Slot slot,
                                                            Facet facet,
                                                            String value,
                                                            int maxMatches,
                                                            RemoteSession session)
                                                     throws ServerSessionLost

  Specified by:
    `getClsesWithMatchingDirectTemplateFacetValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithMatchingDirectTemplateSlotValue

    public Set getClsesWithMatchingDirectTemplateSlotValue(Slot slot,
                                                           String value,
                                                           int maxMatches,
                                                           RemoteSession session)
                                                    throws ServerSessionLost

  Specified by:
    `getClsesWithMatchingDirectTemplateSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectTemplateFacetValues

    public RemoteResponse<List> getDirectTemplateFacetValues(Cls cls,
                                                             Slot slot,
                                                             Facet facet,
                                                             RemoteSession session)
                                                      throws ServerSessionLost

  Specified by:
    `getDirectTemplateFacetValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClses

    public Set<Cls> getClses(RemoteSession session)
                      throws ServerSessionLost

  Specified by:
    `getClses` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getTemplateFacets

    public Set<Facet> getTemplateFacets(Cls cls,
                                        Slot slot,
                                        RemoteSession session)
                                 throws ServerSessionLost

  Specified by:
    `getTemplateFacets` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFrame

    public RemoteResponse<Frame> getFrame(String name,
                                          RemoteSession session)
                                   throws ServerSessionLost

  Specified by:
    `getFrame` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFrame

    public Frame getFrame(FrameID id,
                          RemoteSession session)
                   throws ServerSessionLost

  Specified by:
    `getFrame` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectOwnSlotValuesCount

    public int getDirectOwnSlotValuesCount(Frame frame,
                                           Slot slot,
                                           RemoteSession session)
                                    throws ServerSessionLost

  Specified by:
    `getDirectOwnSlotValuesCount` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectOwnSlotValues

    public RemoteResponse<List> getDirectOwnSlotValues(Frame frame,
                                                       Slot slot,
                                                       RemoteSession session)
                                                throws ServerSessionLost

  Specified by:
    `getDirectOwnSlotValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### setDirectTemplateFacetValues

    public OntologyUpdate setDirectTemplateFacetValues(Cls cls,
                                                       Slot slot,
                                                       Facet facet,
                                                       Collection values,
                                                       RemoteSession session)
                                                throws ServerSessionLost

  Specified by:
    `setDirectTemplateFacetValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### createFacet

    public RemoteResponse<Facet> createFacet(FrameID id,
                                             Collection directTypes,
                                             boolean loadDefaults,
                                             RemoteSession session)
                                      throws ServerSessionLost

  Specified by:
    `createFacet` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFrames

    public Set<Frame> getFrames(RemoteSession session)
                         throws ServerSessionLost

  Specified by:
    `getFrames` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### setDirectTemplateSlotValues

    public OntologyUpdate setDirectTemplateSlotValues(Cls cls,
                                                      Slot slot,
                                                      Collection values,
                                                      RemoteSession session)
                                               throws ServerSessionLost

  Specified by:
    `setDirectTemplateSlotValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getTemplateFacetValues

    public Collection getTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet,
                                             RemoteSession session)
                                      throws ServerSessionLost

  Specified by:
    `getTemplateFacetValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### deleteCls

    public OntologyUpdate deleteCls(Cls cls,
                                    RemoteSession session)
                             throws ServerSessionLost

  Specified by:
    `deleteCls` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### deleteSlot

    public OntologyUpdate deleteSlot(Slot slot,
                                     RemoteSession session)
                              throws ServerSessionLost

  Specified by:
    `deleteSlot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### deleteFacet

    public OntologyUpdate deleteFacet(Facet facet,
                                      RemoteSession session)
                               throws ServerSessionLost

  Specified by:
    `deleteFacet` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### deleteSimpleInstance

    public OntologyUpdate deleteSimpleInstance(SimpleInstance simpleInstance,
                                               RemoteSession session)
                                        throws ServerSessionLost

  Specified by:
    `deleteSimpleInstance` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### createSlot

    public RemoteResponse<Slot> createSlot(FrameID id,
                                           Collection directTypes,
                                           Collection directSuperslots,
                                           boolean loadDefaults,
                                           RemoteSession session)
                                    throws ServerSessionLost

  Specified by:
    `createSlot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### addDirectSuperslot

    public OntologyUpdate addDirectSuperslot(Slot slot,
                                             Slot superslot,
                                             RemoteSession session)
                                      throws ServerSessionLost

  Specified by:
    `addDirectSuperslot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### addDirectTemplateSlot

    public OntologyUpdate addDirectTemplateSlot(Cls cls,
                                                Slot slot,
                                                RemoteSession session)
                                         throws ServerSessionLost

  Specified by:
    `addDirectTemplateSlot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### moveDirectOwnSlotValue

    public OntologyUpdate moveDirectOwnSlotValue(Frame frame,
                                                 Slot slot,
                                                 int from,
                                                 int to,
                                                 RemoteSession session)
                                          throws ServerSessionLost

  Specified by:
    `moveDirectOwnSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### setDirectOwnSlotValues

    public OntologyUpdate setDirectOwnSlotValues(Frame frame,
                                                 Slot slot,
                                                 Collection values,
                                                 RemoteSession session)
                                          throws ServerSessionLost

  Specified by:
    `setDirectOwnSlotValues` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### createCls

    public RemoteResponse<Cls> createCls(FrameID id,
                                         Collection directTypes,
                                         Collection directSuperclasses,
                                         boolean loadDefaults,
                                         RemoteSession session)
                                  throws ServerSessionLost

  Specified by:
    `createCls` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFacets

    public Set<Facet> getFacets(RemoteSession session)
                         throws ServerSessionLost

  Specified by:
    `getFacets` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### executeQuery

    public RemoteResponse<Collection<Frame>> executeQuery(Query query,
                                                          RemoteSession session)
                                                   throws ProtegeException,
                                                          ServerSessionLost

  Specified by:
    `executeQuery` in interface `RemoteServerFrameStore`
  Throws:
    `ProtegeException`
    `ServerSessionLost`

### removeDirectType

    public OntologyUpdate removeDirectType(Instance instance,
                                           Cls directType,
                                           RemoteSession session)
                                    throws ServerSessionLost

  Specified by:
    `removeDirectType` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getReferences

    public Set<Reference> getReferences(Object value,
                                        RemoteSession session)
                                 throws ServerSessionLost

  Specified by:
    `getReferences` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getMatchingReferences

    public Set<Reference> getMatchingReferences(String value,
                                                int maxMatches,
                                                RemoteSession session)
                                         throws ServerSessionLost

  Specified by:
    `getMatchingReferences` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithMatchingBrowserText

    public Set<Cls> getClsesWithMatchingBrowserText(String value,
                                                    Collection superclasses,
                                                    int maxMatches,
                                                    RemoteSession session)
                                             throws ServerSessionLost

  Specified by:
    `getClsesWithMatchingBrowserText` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### createSimpleInstance

    public RemoteResponse<SimpleInstance> createSimpleInstance(FrameID id,
                                                               Collection directTypes,
                                                               boolean loadDefaults,
                                                               RemoteSession session)
                                                        throws ServerSessionLost

  Specified by:
    `createSimpleInstance` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### addDirectType

    public OntologyUpdate addDirectType(Instance instance,
                                        Cls type,
                                        RemoteSession session)
                                 throws ServerSessionLost

  Specified by:
    `addDirectType` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### moveDirectType

    public OntologyUpdate moveDirectType(Instance instance,
                                         Cls cls,
                                         int index,
                                         RemoteSession session)
                                  throws ServerSessionLost

  Specified by:
    `moveDirectType` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFrameName

    public String getFrameName(Frame frame,
                               RemoteSession session)
                        throws ServerSessionLost

  Specified by:
    `getFrameName` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getOverriddenTemplateSlots

    public Set getOverriddenTemplateSlots(Cls cls,
                                          RemoteSession session)
                                   throws ServerSessionLost

  Specified by:
    `getOverriddenTemplateSlots` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectlyOverriddenTemplateSlots

    public Set getDirectlyOverriddenTemplateSlots(Cls cls,
                                                  RemoteSession session)
                                           throws ServerSessionLost

  Specified by:
    `getDirectlyOverriddenTemplateSlots` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getOverriddenTemplateFacets

    public Set getOverriddenTemplateFacets(Cls cls,
                                           Slot slot,
                                           RemoteSession session)
                                    throws ServerSessionLost

  Specified by:
    `getOverriddenTemplateFacets` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectlyOverriddenTemplateFacets

    public Set getDirectlyOverriddenTemplateFacets(Cls cls,
                                                   Slot slot,
                                                   RemoteSession session)
                                            throws ServerSessionLost

  Specified by:
    `getDirectlyOverriddenTemplateFacets` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### removeDirectTemplateFacetOverrides

    public OntologyUpdate removeDirectTemplateFacetOverrides(Cls cls,
                                                             Slot slot,
                                                             RemoteSession session)
                                                      throws ServerSessionLost

  Specified by:
    `removeDirectTemplateFacetOverrides` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### close

    public void close(RemoteSession session)
               throws ServerSessionLost

  Specified by:
    `close` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### executeProtegeJob

    public RemoteResponse<Object> executeProtegeJob(ProtegeJob job,
                                                    RemoteSession session)
                                             throws ProtegeException,
                                                    ServerSessionLost

  Specified by:
    `executeProtegeJob` in interface `RemoteServerFrameStore`
  Throws:
    `ProtegeException`
    `ServerSessionLost`

### register

    public void register(RemoteSession session)
                  throws ServerSessionLost

  Throws:
    `ServerSessionLost`

### deregister

    public void deregister(RemoteSession session)
                    throws ServerSessionLost

  Throws:
    `ServerSessionLost`

### toString

    public String toString()

  Overrides:
    `toString` in class `RemoteObject`

### getEvents

    public RemoteResponse<List<AbstractEvent>> getEvents(RemoteSession session)
                                                  throws ServerSessionLost

  Specified by:
    `getEvents` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### updateEvents

    public void updateEvents(RemoteSession session)

### beginTransaction

    public RemoteResponse<Boolean> beginTransaction(String name,
                                                    RemoteSession session)
                                             throws ServerSessionLost

  Specified by:
    `beginTransaction` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### commitTransaction

    public RemoteResponse<Boolean> commitTransaction(RemoteSession session)
                                              throws ServerSessionLost

  Specified by:
    `commitTransaction` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### rollbackTransaction

    public RemoteResponse<Boolean> rollbackTransaction(RemoteSession session)
                                                throws ServerSessionLost

  Specified by:
    `rollbackTransaction` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### removeFrameCache

    public void removeFrameCache(Frame frame)

### getTransactionIsolationLevel

    public TransactionIsolationLevel getTransactionIsolationLevel()

  Calculates the transaction isolation level. If it returns null it indicates that an error has occured.

  Specified by:
    `getTransactionIsolationLevel` in interface `RemoteServerFrameStore`

### setTransactionIsolationLevel

    public boolean setTransactionIsolationLevel(TransactionIsolationLevel level)
                                         throws TransactionException

  Description copied from interface: `RemoteServerFrameStore`
  Sets the transaction isolation level for the current connection. Returns false if transactions are not supported.

  Specified by:
    `setTransactionIsolationLevel` in interface `RemoteServerFrameStore`
  Parameters:
    `level` - The desired TransactionIsolationLevel
  Returns:
    true if transactions are supported
  Throws:
    `TransactionException`

### inTransaction

    public boolean inTransaction()

### existsTransaction

    public boolean existsTransaction()

### exclusiveTransaction

    public boolean exclusiveTransaction()

### getTransactionStatusMonitor

    public TransactionMonitor getTransactionStatusMonitor()

### waitForTransactionsToComplete

    public void waitForTransactionsToComplete()

### isDirty

    public boolean isDirty()

### markClean

    public void markClean()

### moveDirectSubslot

    public OntologyUpdate moveDirectSubslot(Slot slot,
                                            Slot subslot,
                                            int index,
                                            RemoteSession session)
                                     throws ServerSessionLost

  Specified by:
    `moveDirectSubslot` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getFramesWithAnyDirectOwnSlotValue

    public Set<Frame> getFramesWithAnyDirectOwnSlotValue(Slot slot,
                                                         RemoteSession session)
                                                  throws ServerSessionLost

  Specified by:
    `getFramesWithAnyDirectOwnSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getClsesWithAnyDirectTemplateSlotValue

    public Set<Cls> getClsesWithAnyDirectTemplateSlotValue(Slot slot,
                                                           RemoteSession session)
                                                    throws ServerSessionLost

  Specified by:
    `getClsesWithAnyDirectTemplateSlotValue` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectOwnSlotValuesClosure

    public RemoteResponse<Set> getDirectOwnSlotValuesClosure(Frame frame,
                                                             Slot slot,
                                                             Set<Frame> missing,
                                                             RemoteSession session)
                                                      throws ServerSessionLost

  Specified by:
    `getDirectOwnSlotValuesClosure` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### getDirectOwnSlotValuesClosure

    public RemoteResponse<Set> getDirectOwnSlotValuesClosure(Collection<Frame> frames,
                                                             Slot slot,
                                                             Set<Frame> missing,
                                                             RemoteSession session)
                                                      throws ServerSessionLost

  Specified by:
    `getDirectOwnSlotValuesClosure` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### preload

    public OntologyUpdate preload(Set<String> userFrames,
                                  boolean all,
                                  RemoteSession session)
                           throws ServerSessionLost

  Specified by:
    `preload` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### requestValueCache

    public void requestValueCache(Set<Frame> frames,
                                  boolean skipDirectInstances,
                                  RemoteSession session)

  Specified by:
    `requestValueCache` in interface `RemoteServerFrameStore`

### getFrameCalculator

    public FrameCalculator getFrameCalculator()

### setFrameCalculatorDisabled

    public void setFrameCalculatorDisabled(boolean disabled)

### heartBeat

    public void heartBeat(RemoteSession session)
                   throws ServerSessionLost

  Specified by:
    `heartBeat` in interface `RemoteServerFrameStore`
  Throws:
    `ServerSessionLost`

### cacheValuesReadFromStore

    public void cacheValuesReadFromStore(RemoteSession session,
                                         Frame frame,
                                         Slot slot,
                                         Facet facet,
                                         boolean isTemplate,
                                         List values)

### invalidateCacheForWriteToStore

    public void invalidateCacheForWriteToStore(Frame frame,
                                               Slot slot,
                                               Facet facet,
                                               boolean isTemplate)

### setMetaProjectInstance

    public void setMetaProjectInstance(ProjectInstance projectInstance)

### getMetaProjectInstance

    public ProjectInstance getMetaProjectInstance()

### getAllowedOperations

    public Set<Operation> getAllowedOperations(RemoteSession session)

  Specified by:
    `getAllowedOperations` in interface `RemoteServerFrameStore`

### getKnownOperations

    public Set<Operation> getKnownOperations(RemoteSession session)

  Specified by:
    `getKnownOperations` in interface `RemoteServerFrameStore`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.